Bug 193284 - [MAINTAINER] net-mgmt/netdisco: unbreak with apache 24
Summary: [MAINTAINER] net-mgmt/netdisco: unbreak with apache 24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 15:41 UTC by geoffroy desvernay
Modified: 2014-09-25 20:44 UTC (History)
1 user (show)

See Also:


Attachments
netdisco-1.3.3.patch (3.53 KB, patch)
2014-09-03 15:41 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2014-09-03 15:41:34 UTC
Created attachment 146732 [details]
netdisco-1.3.3.patch

- unbreak with apache 2.4
- add license
- better handling of config files

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 John Marino freebsd_committer 2014-09-04 16:53:00 UTC
maintainer patch looks ok with a quick glance.
Comment 2 John Marino freebsd_committer 2014-09-25 16:57:08 UTC
this is wrong:
${CHOWN} -R ${WWWOWN}:${WWWGRP} ${STAGEDIR}${WWWDIR}

That should be happening in pkg-plist, not the stage directory
Comment 3 John Marino freebsd_committer 2014-09-25 17:06:15 UTC
This PLIST_SUB stuff is wonky, redundant.  It needs reworking to something more conventional.
Comment 4 John Marino freebsd_committer 2014-09-25 17:11:09 UTC
There is still a lot of cruft here, I had to remove two obsolete REINPLACE_EXPR definitions that didn't do anything.

I'm not going to touch the tmp-plist stuff, but that looks fairly old as well. I'm going to modernize this port a bit, but it needs more TLC after that.
Comment 5 John Marino freebsd_committer 2014-09-25 17:16:02 UTC
There's no point in having:
pre-install
do-install
post-install

I'm going to group everything under "do-install" target
Comment 6 commit-hook freebsd_committer 2014-09-25 20:42:16 UTC
A commit references this bug:

Author: marino
Date: Thu Sep 25 20:41:38 UTC 2014
New revision: 369294
URL: http://svnweb.freebsd.org/changeset/ports/369294

Log:
  Unbreak on Apache24 and overhaul net-mgmt/netdisco

  PR:		193284
  Submitted by:	maintainer: dgeo (centrale-marseille.fr)
  Overhaul:	marino

  There were numerous issues still existing even after provided patch
  was applied.  I ended up completely overhauling the port.  It's been
  tested with poudriere testport.

Changes:
  head/net-mgmt/netdisco/Makefile
  head/net-mgmt/netdisco/pkg-plist
Comment 7 John Marino freebsd_committer 2014-09-25 20:44:52 UTC
There were several redundancies, e.g. the sample files were installed 3 times and the USER/GROUP was defined twice.

Please review the port in it's current state, I completely reworked the makefile and the pkg-plist has a few changes as well.  Hopefully it matches the intent.

Closing the PR now.